Index: external/tcl/tclCompExpr.c
===================================================================
--- external/tcl/tclCompExpr.c	(revision d7d2da362406b9e37fdf238970417c94779b54b0)
+++ external/tcl/tclCompExpr.c	(revision adeddd899f1886a74c386a3b4521f830dcdc36b3)
@@ -31,13 +31,4 @@
 #define ERANGE 34
 #endif
-
-/*
- * Boolean variable that controls whether expression compilation tracing
- * is enabled.
- */
-
-#ifdef TCL_COMPILE_DEBUG
-static int traceCompileExpr = 0;
-#endif /* TCL_COMPILE_DEBUG */
 
 /*
@@ -132,20 +123,4 @@
 #define NOT		(COLON + 1)
 #define BIT_NOT		(NOT + 1)
-
-/*
- * Mapping from tokens to strings; used for debugging messages. These
- * entries must match the order and number of the token definitions above.
- */
-
-#ifdef TCL_COMPILE_DEBUG
-static char *tokenStrings[] = {
-    "LITERAL", "FUNCNAME",
-    "[", "]", "(", ")", "$", "\"", ",", "END", "UNKNOWN",
-    "*", "/", "%", "+", "-",
-    "<<", ">>", "<", ">", "<=", ">=", "==", "!=",
-    "&", "^", "|", "&&", "||", "?", ":",
-    "!", "~"
-};
-#endif /* TCL_COMPILE_DEBUG */
 
 /*
@@ -198,19 +173,4 @@
 			    ExprInfo *infoPtr, CompileEnv *envPtr));
 
-/*
- * Macro used to debug the execution of the recursive descent parser used
- * to compile expressions.
- */
-
-#ifdef TCL_COMPILE_DEBUG
-#define HERE(production, level) \
-    if (traceCompileExpr) { \
-	fprintf(stderr, "%*s%s: token=%s, next=\"%.20s\"\n", \
-		(level), " ", (production), tokenStrings[infoPtr->token], \
-		infoPtr->next); \
-    }
-#else
-#define HERE(production, level)
-#endif /* TCL_COMPILE_DEBUG */
 
 
@@ -277,10 +237,4 @@
 				 * to execute the expression. */
     int result;
-
-#ifdef TCL_COMPILE_DEBUG
-    if (traceCompileExpr) {
-	fprintf(stderr, "expr: string=\"%.30s\"\n", string);
-    }
-#endif /* TCL_COMPILE_DEBUG */
 
     /*
@@ -409,5 +363,4 @@
     int elseCodeOffset, currCodeOffset, jumpDist, result;
     
-    HERE("condExpr", 1);
     result = CompileLorExpr(interp, infoPtr, flags, envPtr);
     if (result != TCL_OK) {
@@ -571,5 +524,4 @@
     Tcl_Obj *objPtr;
     
-    HERE("lorExpr", 2);
     result = CompileLandExpr(interp, infoPtr, flags, envPtr);
     if ((result != TCL_OK) || (infoPtr->token != OR)) {
@@ -739,5 +691,4 @@
     Tcl_Obj *objPtr;
 
-    HERE("landExpr", 3);
     result = CompileBitOrExpr(interp, infoPtr, flags, envPtr);
     if ((result != TCL_OK) || (infoPtr->token != AND)) {
@@ -899,5 +850,4 @@
     int result;
 
-    HERE("bitOrExpr", 4);
     result = CompileBitXorExpr(interp, infoPtr, flags, envPtr);
     if (result != TCL_OK) {
@@ -970,5 +920,4 @@
     int result;
 
-    HERE("bitXorExpr", 5);
     result = CompileBitAndExpr(interp, infoPtr, flags, envPtr);
     if (result != TCL_OK) {
@@ -1041,5 +990,4 @@
     int result;
 
-    HERE("bitAndExpr", 6);
     result = CompileEqualityExpr(interp, infoPtr, flags, envPtr);
     if (result != TCL_OK) {
@@ -1112,5 +1060,4 @@
     int op, result;
 
-    HERE("equalityExpr", 7);
     result = CompileRelationalExpr(interp, infoPtr, flags, envPtr);
     if (result != TCL_OK) {
@@ -1190,5 +1137,4 @@
     int op, result;
 
-    HERE("relationalExpr", 8);
     result = CompileShiftExpr(interp, infoPtr, flags, envPtr);
     if (result != TCL_OK) {
@@ -1277,5 +1223,4 @@
     int op, result;
 
-    HERE("shiftExpr", 9);
     result = CompileAddExpr(interp, infoPtr, flags, envPtr);
     if (result != TCL_OK) {
@@ -1355,5 +1300,4 @@
     int op, result;
 
-    HERE("addExpr", 10);
     result = CompileMultiplyExpr(interp, infoPtr, flags, envPtr);
     if (result != TCL_OK) {
@@ -1433,5 +1377,4 @@
     int op, result;
 
-    HERE("multiplyExpr", 11);
     result = CompileUnaryExpr(interp, infoPtr, flags, envPtr);
     if (result != TCL_OK) {
@@ -1513,5 +1456,4 @@
     int op, result;
 
-    HERE("unaryExpr", 12);
     op = infoPtr->token;
     if ((op == PLUS) || (op == MINUS) || (op == BIT_NOT) || (op == NOT)) {
@@ -1608,5 +1550,4 @@
      */
 
-    HERE("primaryExpr", 13);
     theToken = infoPtr->token;
 
